vector-0.13.2.0: Efficient Arrays

Safe Haskell | Safe-Inferred
Language | Haskell2010

Bench.Vector.Tasty

Description

Tasty integration for vector benchmarks.

Synopsis

- newtype VectorSize = VectorSize Int
- newtype RandomSeed = RandomSeed Int

# Documentation

newtype VectorSize Source #

Size of vector used in benchmarks

Constructors

VectorSize Int |

#### Instances

Instances details

IsOption VectorSize Source # |
Instance details Defined in Bench.Vector.Tasty Methods defaultValue :: VectorSize Source # parseValue :: String -> Maybe VectorSize Source # optionName :: Tagged VectorSize String Source # optionHelp :: Tagged VectorSize String Source # showDefaultValue :: VectorSize -> Maybe String Source # optionCLParser :: Parser VectorSize Source #

newtype RandomSeed Source #

Random seed used for generation of the test data

Constructors

RandomSeed Int |

#### Instances

Instances details

IsOption RandomSeed Source # |
Instance details Defined in Bench.Vector.Tasty Methods defaultValue :: RandomSeed Source # parseValue :: String -> Maybe RandomSeed Source # optionName :: Tagged RandomSeed String Source # optionHelp :: Tagged RandomSeed String Source # showDefaultValue :: RandomSeed -> Maybe String Source # optionCLParser :: Parser RandomSeed Source #